al_set_timer_speed(3)

NAME

al_set_timer_speed - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_set_timer_speed(ALLEGRO_TIMER *timer, double new_speed_secs)

DESCRIPTION

Set the timer's speed, i.e. the rate at which its counter will be incremented when it is started. This can be done when the timer is started or stopped. If the timer is currently running, it is made to look as though the speed change occurred precisely at the last tick.

speed_secs has exactly the same meaning as with al_create_timer(3).

SEE ALSO

al_get_timer_speed(3)